> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect

> Disconnect removes the calling user's stored per-user credential/connection
 for an MCP server (OAuth2, bearer token, custom header, or basic auth).
 After this call the user must reconnect before tool calls that use their
 credential can succeed.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/mcp_servers/{connector_id}/disconnect
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/mcp_servers/{connector_id}/disconnect:
    post:
      tags:
        - MCP Servers
      summary: Disconnect
      description: >-
        Disconnect removes the calling user's stored per-user
        credential/connection
         for an MCP server (OAuth2, bearer token, custom header, or basic auth).
         After this call the user must reconnect before tool calls that use their
         credential can succeed.
      operationId: c1.api.ai_governance.v1.MCPServerService.Disconnect
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: MCP server identifier (connector ID).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.MCPServerServiceDisconnectRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.MCPServerServiceDisconnectResponse
          description: MCPServerServiceDisconnectResponse is empty on success.
components:
  schemas:
    c1.api.ai_governance.v1.MCPServerServiceDisconnectRequestInput:
      description: >-
        MCPServerServiceDisconnectRequest removes the calling user's OAuth
        credential
         for a passthrough-mode MCP server.
      title: Mcp Server Service Disconnect Request
      type: object
      x-speakeasy-name-override: MCPServerServiceDisconnectRequest
    c1.api.ai_governance.v1.MCPServerServiceDisconnectResponse:
      description: MCPServerServiceDisconnectResponse is empty on success.
      title: Mcp Server Service Disconnect Response
      type: object
      x-speakeasy-name-override: MCPServerServiceDisconnectResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````